// //switch: sizes
// //Делаю перевод размеров женского белья из международной системы в систему США
//     let interSize = prompt('Введите размер по международной системе')
//     let messageNew = 'Ваш размер по американской системе: '

//     switch(interSize) {
//         case 'xxs': messageNew += 8
//         break
//         case 'xs': messageNew += 10
//         break
//         case 's': messageNew += 12
//         break
//         case 'm': messageNew += 14
//         break
//         case 'l': messageNew += 16
//         break
//         case 'xl': messageNew += 18
//         break
//         case 'xxl': messageNew += 20
//         break
//         case 'xxxl': messageNew += 22
//         break
//         default: messageNew = 'Некорректное значение'
//     }

//     alert(messageNew)

// //switch: if
//     let color = prompt("Введите цвет","");
//     if (color === 'red') {
//         document.write("<div style='background-color: red;'>красный</div>");
//         document.write("<div style='background-color: black; color: white;'>черный</div>");
//     } else if (color === 'black') {
//         document.write("<div style='background-color: black; color: white;'>черный</div>");
//     } else if (color === 'blue') {
//         document.write("<div style='background-color: blue;'>синий</div>");
//         document.write("<div style='background-color: green;'>зеленый</div>");
//     } else if (color === 'green') {
//         document.write("<div style='background-color: green;'>зеленый</div>");
//     } else {
//         document.write("<div style='background-color: gray;'>Я не понял</div>");
//     }

// //prompt: or
//     let userAge = prompt('Сколько оборотов Земля сделала вокруг Солнца, пока Вы существуете?')
//     let currentYear = 2021;
//     (userAge || !alert('Произошла ошибка')) && alert(`Вы родились в ${currentYear - userAge} году`)
//     //or 
//     // let userAge = prompt('Сколько оборотов Земля сделала вокруг Солнца, пока Вы существуете?')
//     // let currentYear = 2021;
//     // !(userAge || alert('Произошла ошибка')) || alert(`Вы родились в ${currentYear - userAge} году`)


// //confirm: or this days
//     confirm('шопинг?') || alert('ты бяка');

// //confirm: if this days
//     let isShopping = confirm('шопинг?')
//     if (!isShopping) {
//         alert('ты бяка');
//     }

// //triple prompt
//     let firstName = prompt('Имя:');
//     let surname = prompt('Фамилия:');
//     let patronym = prompt('Отчество:');
//     alert(surname + ' ' + firstName + ' ' + patronym);

// //default: or
//     let firstName = prompt('Имя:') || 'Иван';
//     let surname = prompt('Фамилия:') || 'Иванов';
//     let patronym = prompt('Отчество:') || 'Иванович';
//     alert(surname + ' ' + firstName + ' ' + patronym);

// //default: if
//     let firstName = prompt('Имя:');
//     let surname = prompt('Фамилия:');
//     let patronym = prompt('Отчество:');
//     if (!firstName) {
//         firstName = 'Иван'
//     }
//     if (!surname) {
//         surname = 'Иванов'
//     }
//     if (!patronym) {
//         patronym = 'Иванович'
//     }
//     alert(surname + ' ' + firstName + ' ' + patronym);

// //login and password
//     let rightLogin = 'admin'
//     let rightPassword = 'qwerty'
//     let login = prompt('Введите логин')
//     let password;

//     if (login === rightLogin) {
//         password = prompt('Введите пароль')
//         if (password === rightPassword) {
//             alert('Поздравляю! Вы успешно что-то сделали!')
//         } else {
//             alert('Ашипка')
//         }
//     } else {
//         alert('Ашипка')
//     }

// //currency calc
//     let currency = prompt('Какая валюта?')
//     let currencyValue
//     let uahValue
//     switch(currency) {
//         case 'usd': currencyValue = 27
//         break
//         case 'eur': currencyValue = 32
//     }
//     uahValue = +prompt('Введите количество гривен, которое нужно перевести в выбранную валюту')
//     alert(`Получается ${(uahValue / currencyValue).toFixed(2)} ${currency}`)

// //currency calc: improved
//     let currency = (prompt('Какая валюта?')).toLowerCase()
//     let currencyValue
//     let uahValue
//     switch(currency) {
//         case 'usd': currencyValue = 27
//         break
//         case 'eur': currencyValue = 32
//     }
//     uahValue = +prompt('Введите количество гривен, которое нужно перевести в выбранную валюту')
//     alert(`Получается ${(uahValue / currencyValue).toFixed(2)} ${currency}`)

// //currency calc: two rates
//     let currency = (prompt('Какая валюта?')).toLowerCase()
//     let currencyValue
//     let uahValue
//     let isSale = confirm('Вас интересует курс продажи?')
//     switch(currency) {
//         case 'usd': currencyValue = isSale ? 26.97 : 26.78
//         break
//         case 'eur': currencyValue = isSale ? 31.90 : 31.53
//     }
//     uahValue = +prompt('Введите количество гривен, которое нужно перевести в выбранную валюту')
//     alert(`Получается ${(uahValue / currencyValue).toFixed(2)} ${currency}`)

// //currency calc: if
//     let currency = (prompt('Какая валюта?')).toLowerCase()
//     let currencyValue
//     let uahValue
//     let isSale = confirm('Вас интересует курс продажи?')
//     if (currency == 'usd') {
//         if (isSale) {
//             currencyValue = 26.97
//         } else {
//             currencyValue = 26.78
//         }
//     } else if (currency == 'eur') {
//         if (isSale) {
//             currencyValue = 31.90
//         } else {
//             currencyValue = 31.53
//         }
//     } else {
//         alert ('Некорректное значение.')
//     }
//     uahValue = +prompt('Введите количество гривен, которое нужно перевести в выбранную валюту')
//     alert(`Получается ${(uahValue / currencyValue).toFixed(2)} ${currency}`)

// //scissors
//     function scissors () {
//         let gameOptions = ['камень', 'ножницы', 'бумага']
//         let userChoice = prompt('камень, ножницы, бумага?')
//         let computerTurn = gameOptions[Math.floor(Math.random() * 3)]
//         let userTurn

//         if (userChoice) {
//             userTurn = userChoice.toLowerCase()
//             alert ('Выбор вашего соперника: ' + computerTurn)
//             if (userTurn == computerTurn) {
//                 alert('Ничья.')
//             } else if ((userTurn == 'камень' && computerTurn == 'ножницы') || (userTurn == 'ножницы' && computerTurn == 'бумага') || (userTurn == 'бумага' && computerTurn == 'камень')) {
//                 alert('Вы победили!')    
//             } else {
//                 alert('Вы проиграли')
//             }    
//         } else {
//             alert('Введите ваш выбор правильно, пожалуйста')
//         }
//     }
// //or
//     function scissors () {
//         let gameOptions = ['камень', 'ножницы', 'бумага']
//         let userChoice = prompt('камень, ножницы, бумага?').toLowerCase()
//         let computerTurn = Math.floor(Math.random() * 3)
//         let userTurn = gameOptions.indexOf(userChoice)    
//         if (userChoice) {
//             alert ('Выбор вашего соперника: ' + gameOptions[computerTurn])
//             if (userTurn === computerTurn) {
//                 alert('Ничья.')
//             } else if (((userTurn + 1) % 3 === computerTurn)) {
//                 alert('Вы победили!')    
//             } else {
//                 alert('Вы проиграли')
//             }    
//         } else {
//             alert('Введите ваш выбор правильно, пожалуйста')
//         }
//     }

// //Задание на синий пояс (его половина)
//     let ratios = {
//         usd: {
//             sale: 26.97,
//             purchase: 26.78 
//         },
//         eur: {
//             sale: 31.90,
//             purchase: 31.53 
//         }
//     }

//     let currency = (prompt('Какая валюта?')).toLowerCase()
//     let userIntention = confirm('Вас интересует курс продажи?') ? 'sale' : 'purchase'
//     let uahValue = +prompt('Введите количество гривен, которое нужно перевести в выбранную валюту')

//     alert(`Получается ${(uahValue / ratios[currency][userIntention]).toFixed(2)} ${currency}`)

//Дополнительное задание
let problem = prompt('Введите название задания').toLowerCase()
switch(problem) {
    case 'switch: sizes': 
        let interSize = prompt('Введите размер по международной системе')
        let messageNew = 'Ваш размер по американской системе: '

        switch(interSize) {
            case 'xxs': messageNew += 8
            break
            case 'xs': messageNew += 10
            break
            case 's': messageNew += 12
            break
            case 'm': messageNew += 14
            break
            case 'l': messageNew += 16
            break
            case 'xl': messageNew += 18
            break
            case 'xxl': messageNew += 20
            break
            case 'xxxl': messageNew += 22
            break
            default: messageNew = 'Некорректное значение'
        }

        alert(messageNew)
    break
    case 'switch: if':
        let color = prompt("Введите цвет","");
        if (color === 'red') {
            document.write("<div style='background-color: red;'>красный</div>");
            document.write("<div style='background-color: black; color: white;'>черный</div>");
        } else if (color === 'black') {
            document.write("<div style='background-color: black; color: white;'>черный</div>");
        } else if (color === 'blue') {
            document.write("<div style='background-color: blue;'>синий</div>");
            document.write("<div style='background-color: green;'>зеленый</div>");
        } else if (color === 'green') {
            document.write("<div style='background-color: green;'>зеленый</div>");
        } else {
            document.write("<div style='background-color: gray;'>Я не понял</div>");
        }
    break
    case 'prompt: or':
        let userAge = prompt('Сколько оборотов Земля сделала вокруг Солнца, пока Вы существуете?')
        let currentYear = 2021;
        !(userAge || alert('Произошла ошибка')) || alert(`Вы родились в ${currentYear - userAge} году`)
    break
    case 'confirm: or this days':
        confirm('шопинг?') || alert('ты бяка');
    break
    case 'confirm: if this days':
        let isShopping = confirm('шопинг?')
        if (!isShopping) {
            alert('ты бяка');
        }
    break
    case 'triple prompt':
        let firstName = prompt('Имя:');
        let surname = prompt('Фамилия:');
        let patronym = prompt('Отчество:');
        alert(surname + ' ' + firstName + ' ' + patronym);
    break
    case 'login and password':
        let rightLogin = 'admin'
        let rightPassword = 'qwerty'
        let login = prompt('Введите логин')
        let password;

        if (login === rightLogin) {
            password = prompt('Введите пароль')
            if (password === rightPassword) {
                alert('Поздравляю! Вы успешно что-то сделали!')
            } else {
                alert('Ашипка')
            }
        } else {
            alert('Ашипка')
        }
    break
    case 'currency calc':
        let currency = (prompt('Какая валюта?')).toLowerCase()
        let currencyValue
        let uahValue
        let isSale = confirm('Вас интересует курс продажи?')
        switch(currency) {
            case 'usd': currencyValue = isSale ? 26.97 : 26.78
            break
            case 'eur': currencyValue = isSale ? 31.90 : 31.53
        }
        uahValue = +prompt('Введите количество гривен, которое нужно перевести в выбранную валюту')
        alert(`Получается ${(uahValue / currencyValue).toFixed(2)} ${currency}`)
    break
    case 'scissors':
        function scissors () {
        let gameOptions = ['камень', 'ножницы', 'бумага']
        let userChoice = prompt('камень, ножницы, бумага?')
        let computerTurn = gameOptions[Math.floor(Math.random() * 3)]
        let userTurn

        if (userChoice) {
            userTurn = userChoice.toLowerCase()
            alert ('Выбор вашего соперника: ' + computerTurn)
            if (userTurn == computerTurn) {
                alert('Ничья.')
            } else if ((userTurn == 'камень' && computerTurn == 'ножницы') || (userTurn == 'ножницы' && computerTurn == 'бумага') || (userTurn = 'бумага' && computerTurn == 'камень')) {
                alert('Вы победили!')    
            } else {
                alert('Вы проиграли')
            }    
            } else {
                alert('Введите ваш выбор правильно, пожалуйста')
            }
        }
        scissors()
    default: alert('Некорректное значение')
}

//Задание на черный пояс 
//Я пыталась..
function scissors () {
    let gameOptions = ['камень', 'ножницы', 'бумага']
    let userChoice = prompt('камень, ножницы, бумага?')
    let computerTurn = gameOptions[Math.floor(Math.random() * 3)]
    let userTurn
    if(userChoice) {
        userTurn = userChoice.toLowerCase();
        alert ('Выбор вашего соперника: ' + computerTurn);
        ((userTurn == computerTurn) && !(alert('Ничья.'))) || (((userTurn == 'камень' && computerTurn == 'ножницы') || (userTurn == 'ножницы' && computerTurn == 'бумага') || (userTurn == 'бумага' && computerTurn == 'камень')) && !(alert('Вы победили!'))) || alert('Вы проиграли')
    } else {
        alert('Ашипка')
    }
}